Disable EXIF warning (if perl exiftool is not installed) by default.
Restore functionality by adding -warnexif or -we parameter.

James 2014

diff -ur fotoxx-12.01.2-old/fotoxx-12.01.2.cc fotoxx-12.01.2/fotoxx-12.01.2.cc
--- fotoxx-12.01.2-old/fotoxx-12.01.2.cc	2012-03-06 04:01:24.000000000 +0700
+++ fotoxx-12.01.2/fotoxx-12.01.2.cc	2014-05-05 02:04:10.128851784 +0700
@@ -26,6 +26,7 @@
 
 
 char     *initial_file = 0;                                                //  initial file on command line
+int      warn_exif = 0;
 
 //  fotoxx main program
 
@@ -81,6 +82,8 @@
       pp = argv[ii];
       if (strcmpv(pp,"-debug","-d",null))                                  //  -debug
          Fdebug = 1;
+      else if (strcmpv(pp,"-warnexif","-we",null))                         //  -warn_exif
+         warn_exif = 1;
       else if (strcmpv(pp,"-lang","-l",null) && argc > ii+1)               //  -lang lc_RC      (language/region code)
          strncpy0(lang,argv[++ii],7);
       else if (strcmpv(pp,"-clone1","-c1",null))                           //  -clone1       (clone1/2 not user options)
@@ -2342,7 +2345,7 @@
       menulock(0);                                                         //      but don't lock yet          v.11.07
    }
 
-   if (! Fexiftool && ! Fexifwarned) {
+   if (! Fexiftool && ! Fexifwarned && warn_exif) {
       zmessageACK(mWin,ZTX("exiftool is not installed \n"                  //  warn if starting to edit
                            "edited images will lose EXIF data"));          //    and exiftool is missing
       Fexifwarned = 1;
@@ -3795,7 +3798,7 @@
    err = stat(curr_file,&fstat);
    if (! err && S_ISREG(fstat.st_mode)) {                                  //  if current file exists,         v.11.05
       err = info_copy(curr_file,tempfile,exifkey,exifdata,nkeys);          //    copy all EXIF/IPTC data to
-      if (err) zmessageACK(mWin,"Unable to copy EXIF/IPTC");               //      temp file with above revisions
+      if (err && warn_exif) zmessageACK(mWin,"Unable to copy EXIF/IPTC");  //      temp file with above revisions
    }
    
    snprintf(command,ccc,"cp -f \"%s\" \"%s\" ",tempfile,outfile);          //  copy temp file to output file
